/* Generic interface for reading and storing protein structure data
 * Copyright (C) 2016 Laboratory of Computational Biology, Monash University
 * (http://lcb.infotech.monash.edu.au)
 *
 * Reference:
 *   J. H. Collier, L. Allison, A. M. Lesk, P.J. Stuckey,
 *   M. Garcia de la Banda, A. S. Konagurthu. (under communication) (2016)
 *
 * MMLigner is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MMLigner is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMLigner. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef STRUCTUREINFORMATIONCLASS_H
#define STRUCTUREINFORMATIONCLASS_H
#include<iostream>
#include<iomanip>
#include<fstream>
#include<cstdio>
#include<cstdlib>
#include<cstring>
#include<cassert>
#include<string>
#include<stdint.h>
#include<map>
#include<vector>
#include<sstream>
#include<time.h>
#include "pdbClass.h"
#include "misc.h"
using namespace std;

class structureInformationClass {
   public:
      PDB_t pdbobj;
      size_t size;
      vector<vector<double> > coords;
      string aaseq;
      vector<string> resiLabels;
      vector<uint32_t> resiIds;
      structureInformationClass(string,string);
      structureInformationClass();
};

bool readStructures( vector<string> &, vector<string> &c, structureInformationClass &, structureInformationClass &); 
#endif
